Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
H5FDmirror_priv.h File Reference

## Data Structures
struct | H5FD_mirror_xmit_eoa_t
struct | H5FD_mirror_xmit_lock_t
struct | H5FD_mirror_xmit_open_t
struct | H5FD_mirror_xmit_reply_t
struct | H5FD_mirror_xmit_t
struct | H5FD_mirror_xmit_write_t

## Macros
#define | H5FD_MIRROR_DATA_BUFFER_MAX (1024 * 1024 * 1024) /* 1 Gigabyte */
#define | H5FD_MIRROR_OP_CLOSE 2
#define | H5FD_MIRROR_OP_LOCK 7
#define | H5FD_MIRROR_OP_OPEN 1
#define | H5FD_MIRROR_OP_REPLY 5
#define | H5FD_MIRROR_OP_SET_EOA 6
#define | H5FD_MIRROR_OP_TRUNCATE 4
#define | H5FD_MIRROR_OP_UNLOCK 8
#define | H5FD_MIRROR_OP_WRITE 3
#define | H5FD_MIRROR_STATUS_ERROR 1
#define | H5FD_MIRROR_STATUS_MESSAGE_MAX 256 /* Dedicated error message size */
#define | H5FD_MIRROR_STATUS_OK 0
#define | H5FD_MIRROR_XMIT_BUFFER_MAX
#define | H5FD_MIRROR_XMIT_CURR_VERSION 1
#define | H5FD_MIRROR_XMIT_EOA_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 9)
#define | H5FD_MIRROR_XMIT_FILEPATH_MAX 4097
#define | H5FD_MIRROR_XMIT_HEADER_SIZE 14
#define | H5FD_MIRROR_XMIT_LOCK_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 8)
#define | H5FD_MIRROR_XMIT_MAGIC 0x87F8005B
#define | H5FD_MIRROR_XMIT_OPEN_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 20 + H5FD_MIRROR_XMIT_FILEPATH_MAX)
#define | H5FD_MIRROR_XMIT_REPLY_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 4 + H5FD_MIRROR_STATUS_MESSAGE_MAX)
#define | H5FD_MIRROR_XMIT_WRITE_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 17)

## Functions
H5_DLL size_t | H5FD__mirror_xmit_decode_uint16 (uint16_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD__mirror_xmit_decode_uint32 (uint32_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD__mirror_xmit_decode_uint64 (uint64_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD__mirror_xmit_decode_uint8 (uint8_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD__mirror_xmit_encode_uint16 (unsigned char *dest, uint16_t v)
H5_DLL size_t | H5FD__mirror_xmit_encode_uint32 (unsigned char *dest, uint32_t v)
H5_DLL size_t | H5FD__mirror_xmit_encode_uint64 (unsigned char *dest, uint64_t v)
H5_DLL size_t | H5FD__mirror_xmit_encode_uint8 (unsigned char *dest, uint8_t v)
H5_DLL size_t | H5FD_mirror_xmit_decode_header (H5FD_mirror_xmit_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_decode_lock (H5FD_mirror_xmit_lock_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_decode_open (H5FD_mirror_xmit_open_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_decode_reply (H5FD_mirror_xmit_reply_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_decode_set_eoa (H5FD_mirror_xmit_eoa_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_decode_write (H5FD_mirror_xmit_write_t *out, const unsigned char *buf)
H5_DLL size_t | H5FD_mirror_xmit_encode_header (unsigned char *dest, const H5FD_mirror_xmit_t *x)
H5_DLL size_t | H5FD_mirror_xmit_encode_lock (unsigned char *dest, const H5FD_mirror_xmit_lock_t *x)
H5_DLL size_t | H5FD_mirror_xmit_encode_open (unsigned char *dest, const H5FD_mirror_xmit_open_t *x)
H5_DLL size_t | H5FD_mirror_xmit_encode_reply (unsigned char *dest, const H5FD_mirror_xmit_reply_t *x)
H5_DLL size_t | H5FD_mirror_xmit_encode_set_eoa (unsigned char *dest, const H5FD_mirror_xmit_eoa_t *x)
H5_DLL size_t | H5FD_mirror_xmit_encode_write (unsigned char *dest, const H5FD_mirror_xmit_write_t *x)
H5_DLL bool | H5FD_mirror_xmit_is_close (const H5FD_mirror_xmit_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_lock (const H5FD_mirror_xmit_lock_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_open (const H5FD_mirror_xmit_open_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_reply (const H5FD_mirror_xmit_reply_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_set_eoa (const H5FD_mirror_xmit_eoa_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_write (const H5FD_mirror_xmit_write_t *xmit)
H5_DLL bool | H5FD_mirror_xmit_is_xmit (const H5FD_mirror_xmit_t *xmit)

## Macro Definition Documentation

## ◆ H5FD_MIRROR_DATA_BUFFER_MAX

#define H5FD_MIRROR_DATA_BUFFER_MAX (1024 * 1024 * 1024) /* 1 Gigabyte */

## ◆ H5FD_MIRROR_OP_CLOSE

#define H5FD_MIRROR_OP_CLOSE 2

## ◆ H5FD_MIRROR_OP_LOCK

#define H5FD_MIRROR_OP_LOCK 7

## ◆ H5FD_MIRROR_OP_OPEN

#define H5FD_MIRROR_OP_OPEN 1

## ◆ H5FD_MIRROR_OP_REPLY

#define H5FD_MIRROR_OP_REPLY 5

## ◆ H5FD_MIRROR_OP_SET_EOA

#define H5FD_MIRROR_OP_SET_EOA 6

## ◆ H5FD_MIRROR_OP_TRUNCATE

#define H5FD_MIRROR_OP_TRUNCATE 4

## ◆ H5FD_MIRROR_OP_UNLOCK

#define H5FD_MIRROR_OP_UNLOCK 8

## ◆ H5FD_MIRROR_OP_WRITE

#define H5FD_MIRROR_OP_WRITE 3

## ◆ H5FD_MIRROR_STATUS_ERROR

#define H5FD_MIRROR_STATUS_ERROR 1

## ◆ H5FD_MIRROR_STATUS_MESSAGE_MAX

#define H5FD_MIRROR_STATUS_MESSAGE_MAX 256 /* Dedicated error message size */

## ◆ H5FD_MIRROR_STATUS_OK

#define H5FD_MIRROR_STATUS_OK 0

## ◆ H5FD_MIRROR_XMIT_BUFFER_MAX

#define H5FD_MIRROR_XMIT_BUFFER_MAX

Value:
MAX2(MAX3(H5FD_MIRROR_XMIT_HEADER_SIZE, H5FD_MIRROR_XMIT_EOA_SIZE, H5FD_MIRROR_XMIT_LOCK_SIZE), \
MAX3(H5FD_MIRROR_XMIT_OPEN_SIZE, H5FD_MIRROR_XMIT_REPLY_SIZE, H5FD_MIRROR_XMIT_WRITE_SIZE))
H5FD_MIRROR_XMIT_HEADER_SIZE
#define H5FD_MIRROR_XMIT_HEADER_SIZE
Definition H5FDmirror_priv.h:62
H5FD_MIRROR_XMIT_LOCK_SIZE
#define H5FD_MIRROR_XMIT_LOCK_SIZE
Definition H5FDmirror_priv.h:64
H5FD_MIRROR_XMIT_EOA_SIZE
#define H5FD_MIRROR_XMIT_EOA_SIZE
Definition H5FDmirror_priv.h:63
H5FD_MIRROR_XMIT_OPEN_SIZE
#define H5FD_MIRROR_XMIT_OPEN_SIZE
Definition H5FDmirror_priv.h:65
H5FD_MIRROR_XMIT_WRITE_SIZE
#define H5FD_MIRROR_XMIT_WRITE_SIZE
Definition H5FDmirror_priv.h:67
H5FD_MIRROR_XMIT_REPLY_SIZE
#define H5FD_MIRROR_XMIT_REPLY_SIZE
Definition H5FDmirror_priv.h:66

## ◆ H5FD_MIRROR_XMIT_CURR_VERSION

#define H5FD_MIRROR_XMIT_CURR_VERSION 1

## ◆ H5FD_MIRROR_XMIT_EOA_SIZE

#define H5FD_MIRROR_XMIT_EOA_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 9)

## ◆ H5FD_MIRROR_XMIT_FILEPATH_MAX

#define H5FD_MIRROR_XMIT_FILEPATH_MAX 4097

## ◆ H5FD_MIRROR_XMIT_HEADER_SIZE

#define H5FD_MIRROR_XMIT_HEADER_SIZE 14

## ◆ H5FD_MIRROR_XMIT_LOCK_SIZE

#define H5FD_MIRROR_XMIT_LOCK_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 8)

## ◆ H5FD_MIRROR_XMIT_MAGIC

#define H5FD_MIRROR_XMIT_MAGIC 0x87F8005B

## ◆ H5FD_MIRROR_XMIT_OPEN_SIZE

#define H5FD_MIRROR_XMIT_OPEN_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 20 + H5FD_MIRROR_XMIT_FILEPATH_MAX)

## ◆ H5FD_MIRROR_XMIT_REPLY_SIZE

#define H5FD_MIRROR_XMIT_REPLY_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 4 + H5FD_MIRROR_STATUS_MESSAGE_MAX)

## ◆ H5FD_MIRROR_XMIT_WRITE_SIZE

#define H5FD_MIRROR_XMIT_WRITE_SIZE (H5FD_MIRROR_XMIT_HEADER_SIZE + 17)

## Function Documentation

## ◆ H5FD__mirror_xmit_decode_uint16()

H5_DLL size_t H5FD__mirror_xmit_decode_uint16 | ( | uint16_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD__mirror_xmit_decode_uint32()

H5_DLL size_t H5FD__mirror_xmit_decode_uint32 | ( | uint32_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD__mirror_xmit_decode_uint64()

H5_DLL size_t H5FD__mirror_xmit_decode_uint64 | ( | uint64_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD__mirror_xmit_decode_uint8()

H5_DLL size_t H5FD__mirror_xmit_decode_uint8 | ( | uint8_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD__mirror_xmit_encode_uint16()

H5_DLL size_t H5FD__mirror_xmit_encode_uint16 | ( | unsigned char * | dest,
|  | uint16_t | v )

## ◆ H5FD__mirror_xmit_encode_uint32()

H5_DLL size_t H5FD__mirror_xmit_encode_uint32 | ( | unsigned char * | dest,
|  | uint32_t | v )

## ◆ H5FD__mirror_xmit_encode_uint64()

H5_DLL size_t H5FD__mirror_xmit_encode_uint64 | ( | unsigned char * | dest,
|  | uint64_t | v )

## ◆ H5FD__mirror_xmit_encode_uint8()

H5_DLL size_t H5FD__mirror_xmit_encode_uint8 | ( | unsigned char * | dest,
|  | uint8_t | v )

## ◆ H5FD_mirror_xmit_decode_header()

H5_DLL size_t H5FD_mirror_xmit_decode_header | ( | H5FD_mirror_xmit_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_decode_lock()

H5_DLL size_t H5FD_mirror_xmit_decode_lock | ( | H5FD_mirror_xmit_lock_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_decode_open()

H5_DLL size_t H5FD_mirror_xmit_decode_open | ( | H5FD_mirror_xmit_open_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_decode_reply()

H5_DLL size_t H5FD_mirror_xmit_decode_reply | ( | H5FD_mirror_xmit_reply_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_decode_set_eoa()

H5_DLL size_t H5FD_mirror_xmit_decode_set_eoa | ( | H5FD_mirror_xmit_eoa_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_decode_write()

H5_DLL size_t H5FD_mirror_xmit_decode_write | ( | H5FD_mirror_xmit_write_t * | out,
|  | const unsigned char * | buf )

## ◆ H5FD_mirror_xmit_encode_header()

H5_DLL size_t H5FD_mirror_xmit_encode_header | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_t * | x )

## ◆ H5FD_mirror_xmit_encode_lock()

H5_DLL size_t H5FD_mirror_xmit_encode_lock | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_lock_t * | x )

## ◆ H5FD_mirror_xmit_encode_open()

H5_DLL size_t H5FD_mirror_xmit_encode_open | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_open_t * | x )

## ◆ H5FD_mirror_xmit_encode_reply()

H5_DLL size_t H5FD_mirror_xmit_encode_reply | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_reply_t * | x )

## ◆ H5FD_mirror_xmit_encode_set_eoa()

H5_DLL size_t H5FD_mirror_xmit_encode_set_eoa | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_eoa_t * | x )

## ◆ H5FD_mirror_xmit_encode_write()

H5_DLL size_t H5FD_mirror_xmit_encode_write | ( | unsigned char * | dest,
|  | const H5FD_mirror_xmit_write_t * | x )

## ◆ H5FD_mirror_xmit_is_close()

H5_DLL bool H5FD_mirror_xmit_is_close | ( | const H5FD_mirror_xmit_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_lock()

H5_DLL bool H5FD_mirror_xmit_is_lock | ( | const H5FD_mirror_xmit_lock_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_open()

H5_DLL bool H5FD_mirror_xmit_is_open | ( | const H5FD_mirror_xmit_open_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_reply()

H5_DLL bool H5FD_mirror_xmit_is_reply | ( | const H5FD_mirror_xmit_reply_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_set_eoa()

H5_DLL bool H5FD_mirror_xmit_is_set_eoa | ( | const H5FD_mirror_xmit_eoa_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_write()

H5_DLL bool H5FD_mirror_xmit_is_write | ( | const H5FD_mirror_xmit_write_t * | xmit | ) |

## ◆ H5FD_mirror_xmit_is_xmit()

H5_DLL bool H5FD_mirror_xmit_is_xmit | ( | const H5FD_mirror_xmit_t * | xmit | ) |